org.apache.http.io

## Interface HttpMessageWriterFactory<T extends HttpMessage>

All Known Implementing Classes:
  DefaultHttpRequestWriterFactory, DefaultHttpResponseWriterFactory

    public interface HttpMessageWriterFactory<T extends HttpMessage>

Factory for `HttpMessageWriter` instances.

Since:
  4.3

### Method Summary

Methods
`HttpMessageWriter<T>` `create(SessionOutputBuffer buffer)`

### Method Detail

#### create

    HttpMessageWriter<T> create(SessionOutputBuffer buffer)